Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1166080 - For zh_CN locale man-pages-zh-CN is not selected
Summary: For zh_CN locale man-pages-zh-CN is not selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-langpacks
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-20 11:49 UTC by Parag Nemade
Modified: 2014-12-06 10:34 UTC (History)
7 users (show)

Fixed In Version: yum-langpacks-0.4.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-01 18:54:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Parag Nemade 2014-11-20 11:49:36 UTC
Description of problem:
yum-langpacks plugin do not show/install man-pages-zh-CN for zh_CN locale.

Version-Release number of selected component (if applicable):
yum-langpacks-0.4.3-2.fc21.noarch

How reproducible:
always

Steps to Reproduce:
1. just observe the output for "yum langinfo zh_CN"
OR
1. check if "yum langinstall zh_CN" installs man-pages-zh-CN package

Actual results:
do not show/install man-pages-zh-CN for zh_CN locale

Expected results:
should show/install man-pages-zh-CN


Additional info:

Comment 1 Fedora Update System 2014-11-25 12:12:24 UTC
yum-langpacks-0.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-langpacks-0.4.4-1.fc20

Comment 2 Fedora Update System 2014-11-25 12:13:17 UTC
yum-langpacks-0.4.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/yum-langpacks-0.4.4-1.fc21

Comment 3 Fedora Update System 2014-11-25 21:25:18 UTC
Package yum-langpacks-0.4.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-langpacks-0.4.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15775/yum-langpacks-0.4.4-1.fc21
then log in and leave karma (feedback).

Comment 4 lnie 2014-11-26 08:01:02 UTC
yum-langpacks-0.4.4-1.fc21 works

Comment 5 Ali Akcaagac 2014-11-29 11:23:21 UTC
Error: Package: system-config-language-2.3.0-2.fc20.noarch (updates-testing)
           Requires: yum-langpacks
           Removing: yum-langpacks-0.4.4-1.fc20.noarch (@updates-testing)
               yum-langpacks = 0.4.4-1.fc20
           Available: yum-langpacks-0.4.3-1.fc20.noarch (fedora)
               yum-langpacks = 0.4.3-1.fc20
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

The package yum-langpacks-0.4.4-1.fc20.noarch has been unpushed. Please fix!

Comment 6 Parag Nemade 2014-12-01 04:25:06 UTC
I don't see anyone has yum-langpacks-0.4.4-1.fc20.noarch unpushed. 
I see no issues on my f20 system. See, I tried to reproduce your issue by first updating yum-langpacks-0.4.4-1.fc20 and then system-config-language-2.3.0-2.fc20

[parag@localhost ~]$ sudo yum update yum-langpacks --enablerepo=updates-testingLoaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package yum-langpacks.noarch 0:0.4.3-1.fc20 will be updated
---> Package yum-langpacks.noarch 0:0.4.4-1.fc20 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch        Version              Repository            Size
================================================================================
Updating:
 yum-langpacks      noarch      0.4.4-1.fc20         updates-testing       30 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 30 k
Is this ok [y/d/N]: y
Downloading packages:
Not downloading deltainfo for updates-testing, MD is 235 k and rpms are 30 k
yum-langpacks-0.4.4-1.fc20.noarch.rpm                       |  30 kB  00:01     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction (shutdown inhibited)
  Updating   : yum-langpacks-0.4.4-1.fc20.noarch                            1/2 
  Cleanup    : yum-langpacks-0.4.3-1.fc20.noarch                            2/2 
  Verifying  : yum-langpacks-0.4.4-1.fc20.noarch                            1/2 
  Verifying  : yum-langpacks-0.4.3-1.fc20.noarch                            2/2 

Updated:
  yum-langpacks.noarch 0:0.4.4-1.fc20                                           

Complete!
[parag@localhost ~]$ sudo yum update system-config-language --enablerepo=updates-testing
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package system-config-language.noarch 0:2.3.0-1.fc20 will be updated
---> Package system-config-language.noarch 0:2.3.0-2.fc20 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                   Arch      Version           Repository          Size
================================================================================
Updating:
 system-config-language    noarch    2.3.0-2.fc20      updates-testing     86 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 86 k
Is this ok [y/d/N]: y
Downloading packages:
Not downloading deltainfo for updates-testing, MD is 235 k and rpms are 86 k
system-config-language-2.3.0-2.fc20.noarch.rpm              |  86 kB  00:01     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction (shutdown inhibited)
  Updating   : system-config-language-2.3.0-2.fc20.noarch                   1/2 
  Cleanup    : system-config-language-2.3.0-1.fc20.noarch                   2/2 
  Verifying  : system-config-language-2.3.0-2.fc20.noarch                   1/2 
  Verifying  : system-config-language-2.3.0-1.fc20.noarch                   2/2 

Updated:
  system-config-language.noarch 0:2.3.0-2.fc20                                  

Complete!
[parag@localhost ~]$ 


You may want to do following
1) sudo yum clean all
2) sudo yum update --enablerepo=updates-testing

Comment 7 Fedora Update System 2014-12-01 18:54:56 UTC
yum-langpacks-0.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-12-06 10:34:48 UTC
yum-langpacks-0.4.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.